%define upstream_name    Devel-Trepan
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A gdb-like debugger port of Ruby Trepan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Columnize) >= 1.40.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(File::HomeDir) >= 0.540.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(PadWalker)
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.810.0
BuildRequires: perl(Time::HiRes) >= 1.972.500
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%description
Invocation
    From a shell:

        $ trepan.pl [trepan-opts] -- perl-program [perl-program-opts]

    For out-of-process (and possibly out-of server) debugging:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/trepan.pl

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.500.0-2.mga4
+ Revision: 528685
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.500.0-1.mga4
+ Revision: 446931
- update to 0.50

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 365845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.480.0-1.mga3
+ Revision: 342083
- update to 0.48

* Wed Oct 10 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 304410
- imported package perl-Devel-Trepan


* Wed Oct 10 2012 cpan2dist 0.46-1mga
- initial mageia release, generated with cpan2dist
